"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIconComponentContent = getIconComponentContent;

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getIconComponentContent() {
  return `\
import React from 'react';
import * as Icons from './iconsContent';

export type IconType = keyof typeof Icons;

export interface IconProps {
  type: IconType;
  className?: string;
  style?: React.CSSProperties;
  spin?: boolean;
  rotate?: number;
  twoToneColor?: string;
}

export const Icon: React.FC<IconProps> = props => {
  const { type, ...otherProps } = props;
  const Component = Icons[type];
  return <Component {...otherProps} />;
};
`;
}