"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIconsContent = getIconsContent;

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getIconsContent(iconOptions) {
  const importIcons = [];
  iconOptions.forEach(iconOption => {
    if (typeof iconOption === 'string') {
      importIcons.push(iconOption);
      return;
    }

    const keys = Object.keys(iconOption);

    if (!keys.length) {
      throw new Error('[umi-plugin-antd-type-icon]: Option object is empty.');
    }

    keys.forEach(key => {
      importIcons.push(key);
    });
  });
  return `\
import {
  ${importIcons.join(',\n  ')}
} from '@ant-design/icons';

${iconOptions.map(iconOption => {
    if (typeof iconOption === 'string') {
      return `export { ${iconOption} };`;
    }

    const keys = Object.keys(iconOption);
    return keys.map(key => {
      const value = iconOption[key];

      if (typeof value === 'string') {
        return key === value ? `export { ${value} };` : `export const ${value} = ${key};`;
      }

      if (!Array.isArray(value)) {
        throw new Error('[umi-plugin-antd-type-icon]: Option object\'s value must be string or string array');
      }

      return value.map(i => {
        return i === key ? `export { ${i} };` : `export const ${i} = ${key};`;
      }).join('\n');
    }).join('\n');
  }).join('\n')}
`;
}