"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

var _getIconsContent = require("./getIconsContent");

var _getIconComponentContent = require("./getIconComponentContent");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PLUGIN_DIR = 'plugin-antd-type-icon';

function _default(api) {
  api.describe({
    key: 'icons',
    config: {
      schema: joi => {
        return joi.array().items(joi.alternatives().try(joi.string(), joi.object()));
      },
      onChange: api.ConfigChangeType.regenerateTmpFiles
    }
  });
  const icons = api.userConfig.icons;

  if (!icons) {
    return;
  }

  if (!icons.length) {
    throw new Error('[umi-plugin-antd-type-icon]: icons must not be empty.');
  }

  api.onGenerateFiles(() => {
    api.writeTmpFile({
      path: `${PLUGIN_DIR}/iconsContent.ts`,
      content: (0, _getIconsContent.getIconsContent)(icons)
    });
    api.writeTmpFile({
      path: `${PLUGIN_DIR}/Icon.tsx`,
      content: (0, _getIconComponentContent.getIconComponentContent)()
    });
  });
  api.addUmiExports(() => [{
    specifiers: ['Icon'],
    source: `../${PLUGIN_DIR}/Icon`
  }]);
}